<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>


    <script src="jquery.js"></script>
    <script src="dicionario.js" charset="utf-8"></script>
    <script>
        $('body').append('var vet = [];<br>');
        var vet = [];
        for (var idx in dicionario) {
            var obj = dicionario[idx];
            if (typeof vet[obj.length] === 'undefined') vet[obj.length] = [];
            vet[obj.length].push(obj);
        }
        for (var idx in vet) {
            var str = 'vet[' + idx + '] = [';
            var subVet = vet[idx];
            for (var key in subVet) {
                var obj = subVet[key];
                if (key == 0) {
                    str += ' "' + obj + '"';
                } else {
                    str += ', "' + obj + '"';

                }
            }
            str += ' ]<br>';
            $('body').append(str);
        }
    </script>
</body>

</html>